<resources>

    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/base_color</item>
        <item name="colorPrimaryDark">@color/base_color</item>
        <item name="colorAccent">@color/base_color</item>
        <item name="android:windowContentTransitions">true</item>
        <item name="android:windowAllowEnterTransitionOverlap">true</item>
        <item name="android:windowAllowReturnTransitionOverlap">true</item>
        <item name="drawerArrowStyle">@style/DrawerHamburgerStyle</item>

    </style>

    <style name="AppFullScreenTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowActionBar">false</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>

    <style name="MyTabLayoutTextAppearance" parent="TextAppearance.AppCompat.Widget.ActionBar.Title.Inverse">
        <item name="android:textSize">14sp</item>
        <item name="android:textAllCaps">true</item>
    </style>

    <style name="AppTheme.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="drawerArrowStyle">@style/DrawerHamburgerStyle</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="TransparentProgressDialog" parent="@style/Theme.AppCompat.Light.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowTitleStyle">@null</item>
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
        <item name="android:windowSoftInputMode">stateUnspecified|adjustPan</item>
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:background">@android:color/transparent</item>
    </style>

    <style name="MyAppearance" parent="TextAppearance.AppCompat">
        <item name="android:textColor">@color/btn_bg_color</item>
    </style>

    <style name="MyExpAppearance" parent="TextAppearance.AppCompat">
        <item name="android:textColor">@color/btn_bg_color</item>
        <item name="android:textSize">@dimen/txt9</item>
    </style>

    <style name="Universal.Widget.ProgressBar" parent="@android:style/Widget.ProgressBar">
        <item name="android:indeterminateDrawable">@drawable/uvv_progress_rotate</item>
        <item name="android:indeterminateDuration">1000</item>
    </style>

    <style name="MyCheckBox" parent="Theme.AppCompat.Light">
        <item name="colorControlNormal">#4a4b4c</item>
        <item name="colorControlActivated">#00344c</item>
    </style>

    <style name="ToolTipLayoutCustomStyle">
        <item name="ttlm_padding">25dip</item>
        <item name="ttlm_strokeColor">#0f2e42</item>
        <item name="ttlm_strokeWeight">2dip</item>
        <item name="ttlm_cornerRadius">8dip</item>
        <item name="ttlm_overlayStyle">@style/ToolTipOverlayCustomStyle</item>
        <item name="android:textAppearance">?android:attr/textAppearanceInverse</item>
    </style>

    <style name="ToolTipOverlayCustomStyle">
        <item name="android:color">#800f2e42</item>
        <item name="ttlm_repeatCount">999</item>
        <item name="ttlm_duration">400</item>
    </style>

    <style name="FancyShowCaseDefaultTitleStyle" parent="@android:style/Widget.TextView">
        <item name="android:textSize">24sp</item>
        <item name="android:textColor">#ffffff</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="option">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:paddingLeft">15dp</item>
        <item name="android:paddingRight">15dp</item>
        <item name="android:paddingTop">10dp</item>
        <item name="android:paddingBottom">10dp</item>

        <item name="android:textColor">@color/option_text_selector</item>

    </style>

    <style name="AppTheme.Picker" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="android:textColorPrimary">#00344c</item>
        <item name="android:textSize">@dimen/textSizeSmall</item>
    </style>

    <style name="PinWidget.PinView" parent="Widget.AppCompat.EditText">
        <item name="android:background">@null</item>
        <item name="android:minHeight">0dp</item>
        <item name="android:maxLines">1</item>
    </style>

    <style name="MyCheckbox" parent="@style/Widget.AppCompat.CompoundButton.CheckBox">
        <item name="android:colorControlNormal">#294d5e</item>
        <item name="android:colorControlActivated">#294d5e</item>
        <item name="android:colorControlHighlight">#c51162</item>
        <item name="android:textAppearance">@style/TextAppearance.AppCompat</item>
    </style>

    <style name="DrawerHamburgerStyle" parent="@style/Widget.AppCompat.DrawerArrowToggle">
        <item name="spinBars">true</item>
        <item name="color">@color/base_color</item>
    </style>

    <style name="ToolTipLayoutDefaultStyle">
        <item name="ttlm_padding">@dimen/seekbarsize</item>
        <item name="ttlm_strokeColor">@android:color/transparent</item>
        <item name="ttlm_backgroundColor">?attr/colorAccent</item>
        <item name="ttlm_strokeWeight">@dimen/seekbarsize_small</item>
        <item name="ttlm_cornerRadius">@dimen/seekbarsize_small</item>
        <item name="ttlm_arrowRatio">1.4</item>
        <item name="android:textAppearance">?android:attr/textAppearanceSmall</item>
        <item name="ttlm_overlayStyle">@style/ToolTipOverlayDefaultStyle</item>
        <item name="ttlm_elevation">@dimen/seekbarsize</item>
    </style>

    <style name="ToolTipOverlayDefaultStyle">
        <item name="android:color">?attr/colorAccent</item>
        <item name="ttlm_repeatCount">99</item>
        <item name="ttlm_duration">600</item>
        <item name="android:alpha">0.5</item>
        <item name="android:layout_margin">8dp</item>
    </style>

    <declare-styleable name="SmileRating">
        <attr name="angryColor" format="color" />
        <attr name="normalColor" format="color" />
        <attr name="drawingColor" format="color" />
        <attr name="showLine" format="boolean" />
        <attr name="placeHolderSmileColor" format="color" />
        <attr name="placeHolderBackgroundColor" format="color" />
        <attr name="textSelectionColor" format="color" />
        <attr name="textNonSelectionColor" format="color" />
        <attr name="isIndicator" format="boolean" />
    </declare-styleable>

    <style name="Widget.Design.SubtitleCollapsingToolbar" parent="Widget.Design.CollapsingToolbar" />

    <style name="TextAppearance.Design.SubtitleCollapsingToolbar.ExpandedTitle" parent="TextAppearance.Design.CollapsingToolbar.Expanded" />

    <style name="TextAppearance.Design.SubtitleCollapsingToolbar.ExpandedTitle.Inverse" parent="TextAppearance.AppCompat.Display1">
        <item name="android:textColor">?android:attr/textColorPrimaryInverse</item>
    </style>

    <style name="TextAppearance.Design.SubtitleCollapsingToolbar.ExpandedSubtitle" parent="TextAppearance.AppCompat.Headline" />

    <style name="TextAppearance.Design.SubtitleCollapsingToolbar.ExpandedSubtitle.Inverse" parent="TextAppearance.AppCompat.Headline">
        <item name="android:textColor">?android:attr/textColorSecondaryInverse</item>
    </style>

    <declare-styleable name="SubtitleCollapsingToolbarLayout">
        <attr name="title" />
        <attr name="subtitle" />
        <attr name="expandedTitleMargin" />
        <attr name="expandedTitleMarginStart" />
        <attr name="expandedTitleMarginTop" />
        <attr name="expandedTitleMarginEnd" />
        <attr name="expandedTitleMarginBottom" />
        <attr name="expandedTitleTextAppearance" />
        <attr name="collapsedTitleTextAppearance" />
        <attr name="contentScrim" />
        <attr name="statusBarScrim" />
        <attr name="toolbarId" />
        <attr name="scrimVisibleHeightTrigger" />
        <attr name="scrimAnimationDuration" />
        <attr name="collapsedTitleGravity" />
        <attr name="expandedTitleGravity" />
        <attr name="titleEnabled" />
        <attr name="expandedSubtitleTextAppearance" format="reference" />
        <attr name="collapsedSubtitleTextAppearance" format="reference" />
        <attr name="fixMenuPadding" format="boolean" />
    </declare-styleable>
    <dimen name="appbar_horizontal_padding">16dp</dimen>
    <dimen name="appbar_horizontal_padding_large">24dp</dimen>

    <style name="Widget.Design.CollapsingToolbar.Subtitle" parent="Widget.Design.CollapsingToolbar">
        <item name="expandedSubtitleTextAppearance">@style/TextAppearance.AppCompat.Headline</item>
        <item name="collapsedSubtitleTextAppearance">
            @style/TextAppearance.Widget.AppCompat.Toolbar.Subtitle
        </item>
    </style>

    <style name="SpinnerStyle" parent="Widget.AppCompat.Spinner">
        <item name="backgroundTint">@color/white</item>
        <item name="android:background">@color/white</item>
        <item name="android:textColor">@color/material_black</item>
    </style>

</resources>